Changeset 3553b68 in rtems-testing for gcc


Ignore:
Timestamp:
Dec 2, 2011, 8:09:11 PM (8 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
6dff99a
Parents:
f045b03
Message:

2011-12-02 Joel Sherrill <joel.sherrill@…>

  • do_one: Consolidate capturing test results and mailing them.
  • test_driver: Add support for Objective-C and FORTRAN.
Location:
gcc
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • gcc/ChangeLog

    rf045b03 r3553b68  
     12011-12-02      Joel Sherrill <joel.sherrill@oarcorp.com>
     2
     3        * do_one: Consolidate capturing test results and mailing them.
     4        * test_driver: Add support for Objective-C and FORTRAN.
     5
    162011-12-01      Joel Sherrill <joel.sherrill@oarcorp.com>
    27
  • gcc/do_one

    rf045b03 r3553b68  
    1 #
     1
    22# Execution Times (for sparc-rtems${RTEMS_VERSION})
    33#
     
    5858        do_gcj_multilib=yes
    5959# Build the GCC FORTRAN language cross compiler.
    60 do_fortran=no
     60do_fortran=yes
    6161        do_fortran_multilib=yes
    6262# Build RTEMS for a particular CPU/BSP combination
     
    136136           do_gcj="yes"
    137137           do_objc="yes"
    138            #do_fortran="yes"
     138           do_fortran="yes"
    139139           do_rtems="yes"
    140140           ;;
     
    199199if [ ${do_ada} = "yes" ] ; then
    200200  case ${cpu} in
    201     avr|h8300|m32c)
     201    avr|h8300|m32c|sh)
    202202      do_ada=no
    203203      run_acats=no
     
    258258  echo "  Go Multilib   : " ${do_gccgo_multilib}
    259259  echo "  GCJ           : " ${do_gcj}
    260   echo "  GCJ Multilib  : " ${do_gccgcj_multilib}
     260  echo "  GCJ Multilib  : " ${do_gcj_multilib}
    261261  echo "  FORTRAN       : " ${do_fortran}
    262262  echo "Build RTEMS     : " ${do_rtems}
     
    267267  echo "Do libgo Tests  : " ${run_libgotests}
    268268  echo "Do libjava Tests: " ${run_libjavatests}
     269  echo "Do FORTRAN Tests: " ${run_fortrantests}
    269270  echo "Email Tests     : " ${do_mail}
    270271  echo "Native GCC      : " `type gcc`
     
    672673pwd
    673674
     675j_process_results()
     676{
     677  language=$1
     678
     679  shift
     680
     681  RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
     682  for results in `ls -1 gcc/testsuite/*/${*}.log gcc/testsuite/*/${*}.sum`
     683  do
     684    test -d ${RDIR} || mkdir -p ${RDIR}
     685    cp ${results} ${RDIR}
     686  done
     687
     688  if [ ${do_mail} = "yes" ] ; then
     689    echo "Sending ${language} test results to GCC community.."
     690    ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
     691    if [ $? -ne 0 ] ; then
     692      echo "Failed to email ${language} Test Results to GCC Community .. bailing"
     693      exit 1
     694    fi
     695
     696    echo "Sending ${language} test results to RTEMS community.."
     697    ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
     698    if [ $? -ne 0 ] ; then
     699      echo "Failed to email ${language} Test Results to RTEMS Community .. bailing"
     700      exit 1
     701    fi
     702  fi
     703}
     704
    674705##### Do the gcc tests
    675706if [ ${run_gcctests} = "yes" ] ; then
     
    679710    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
    680711
    681   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    682   mkdir -p ${RDIR}
    683   cp gcc/testsuite/gcc/gcc.log gcc/testsuite/gcc/gcc.sum ${RDIR}
    684   if [ -r gcc/testsuite/g++/g++.log ] ; then
    685     cp gcc/testsuite/g++/g++.log gcc/testsuite/g++/g++.sum ${RDIR}
    686   fi
    687 
    688   if [ ${do_mail} = "yes" ] ; then
    689     echo Sending test results to GCC community..
    690     ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
    691     if [ $? -ne 0 ] ; then
    692       echo "Failed to email GCC Test Results to GCC Community .. bailing"
    693       exit 1
    694     fi
    695 
    696     echo Sending test results to RTEMS community..
    697     ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
    698     if [ $? -ne 0 ] ; then
    699       echo "Failed to email GCC Test Results to RTEMS Community .. bailing"
    700       exit 1
    701     fi
    702   fi
     712  j_process_results "C/C++" gcc/testsuite/gcc/gcc gcc/testsuite/g++/g++
     713
    703714  cd .. || exit 1
    704715else
     
    762773    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
    763774
    764   #RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    765   #mkdir -p ${RDIR}
    766   #cp gcc/testsuite/gcc/gcc.log gcc/testsuite/gcc/gcc.sum ${RDIR}
    767   #if [ -r gcc/testsuite/g++/g++.log ] ; then
    768   #  cp gcc/testsuite/g++/g++.log gcc/testsuite/g++/g++.sum ${RDIR}
    769   #fi
    770 
    771   if [ ${do_mail} = "yes" ] ; then
    772     echo Sending Objective-C test results to GCC community..
    773     ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
    774     if [ $? -ne 0 ] ; then
    775       echo "Failed to email Objective-C Test Results to GCC Community .. bailing"
    776       exit 1
    777     fi
    778 
    779     echo Sending test results to RTEMS community..
    780     ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
    781     if [ $? -ne 0 ] ; then
    782       echo "Failed to email Objective-C Test Results to RTEMS Community .. bailing"
    783       exit 1
    784     fi
    785   fi
     775  j_process_results "Objective-C" gcc/testsuite/objc/objc
     776
    786777  cd .. || exit 1
    787778else
     
    945936    >${LOGDIR}/${cpu}-gccgotests-${bsp}.log 2>&1
    946937
    947   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    948   mkdir -p ${RDIR}
    949   cp testsuite/go/go.log testsuite/go/go.sum ${RDIR}
    950 
    951   if [ ${do_mail} = "yes" ] ; then
    952     echo Sending Go test results to GCC community..
    953     ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
    954     if [ $? -ne 0 ] ; then
    955       echo "Failed to email GCC Go Test Results to GCC Community .. bailing"
    956       exit 1
    957     fi
    958 
    959     echo Sending Go test results to RTEMS community..
    960     ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
    961     if [ $? -ne 0 ] ; then
    962       echo "Failed to email GCC GO Test Results to RTEMS Community .. bailing"
    963       exit 1
    964     fi
    965   fi
     938  j_process_results "Go" testsuite/go/go
    966939  cd .. || exit 1
    967940else
     
    977950    >${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
    978951
    979   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    980   mkdir -p ${RDIR}
    981   cp ${TARGET}/libgo/testsuite/libgo-all.log \
    982     ${TARGET}/libgo/testsuite/libgo-all.sum ${RDIR}
     952  j_process_results "Go Library" ${TARGET}/libgo/testsuite/libgo-all
    983953else
    984954  echo Skipping libgo DejaGNU tests for ${cpu}/${bsp}
     
    10581028    >${LOGDIR}/${cpu}-libjavatests-${bsp}.log 2>&1
    10591029
    1060   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    1061   mkdir -p ${RDIR}
    1062   cp ${TARGET}-${bsp}/libjava/testsuite/libjava-all.log \
    1063     ${TARGET}-${bsp}/libjava/testsuite/libjava-all.sum ${RDIR}
     1030  j_process_results "GCJ" ${TARGET}-${bsp}/libjava/testsuite/libjava-all
    10641031else
    10651032  echo Skipping libjava DejaGNU tests for ${cpu}/${bsp}
     
    11181085if [ $a ${run_fortrantests} = "yes" -a \
    11191086     -d ${BASEDIR}/b-${cpu}-fortran -a ${fortran_fail} = "no" ] ; then
    1120   echo "Running fortran DejaGNU tests..."
     1087  echo "Running FORTRAN DejaGNU tests..."
    11211088  cd ${BASEDIR}/b-${cpu}-fortran || exit 1
    11221089  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} fortran \
    11231090    >${LOGDIR}/${cpu}-fortrantests-${bsp}.log 2>&1
    11241091
    1125   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    1126   mkdir -p ${RDIR}
    1127   #cp ${TARGET}-${bsp}/libjava/testsuite/libjava-all.log \
    1128   #  ${TARGET}-${bsp}/libjava/testsuite/libjava-all.sum ${RDIR}
     1092  j_process_results "FORTRAN" gcc/testsuite/gfortran/gfortran
    11291093else
    11301094  echo Skipping FORTRAN DejaGNU tests for ${cpu}/${bsp}
  • gcc/test_driver

    rf045b03 r3553b68  
    7272doNative="no"
    7373doBasicTools="yes"
    74 verbose="no"
     74verbose="yes"
    7575doAda="yes"
    7676doGccGo="yes"
    7777doGcj="yes"
    7878doMail="yes"
     79doObjC="yes"
     80doFORTRAN="yes"
    7981doTests="yes"
    8082justTests="no"
    8183checkOptionsAndExit="no"
    8284
    83 while getopts J1AacmnuCGTUv OPT
     85while getopts J1AacmnuCGTUfOv OPT
    8486do
    8587  case "$OPT" in
     
    9496    G) doGccGo=`toggle ${doGccGo}` ;;
    9597    J) doGcj=`toggle ${doGcj}` ;;
     98    f) doFORTRAN=`toggle ${doFORTRAN}` ;;
     99    O) doObjC=`toggle ${doObjC}` ;;
    96100    c) doCleanInstallPoint=`toggle ${doCleanInstallPoint}` ;;
    97101    j) justTests=`toggle ${justTests}` ;;
     
    146150  echo "Build GCC Go:        " ${doGccGo}
    147151  echo "Build GCJ:           " ${doGcj}
     152  echo "Build Objective-C    " ${doObjC}
     153  echo "Build FORTRAN        " ${doFORTRAN}
    148154  echo "Email Results:       " ${doMail}
    149155  echo "Run Tests:           " ${doTests}
     
    158164test ${doGccGo} = "yes"      && gccgoArg="-G"
    159165test ${doGcj} = "yes"        && gcjArg="-J"
     166test ${doObjC} = "yes"       && objcArg="-O"
     167test ${doFORTRAN} = "yes"    && fortrancArg="-f"
    160168test ${doBasicTools} = "yes" && basicArgs="-b -D -1 -r"
    161169
     
    165173  gccgoArg=""
    166174  gcjArg=""
     175  objcArg=""
     176  fortranArg=""
    167177  basicArgs=""
    168178fi
     
    280290    echo "Building ${cpu}/${bsp}..."
    281291    echo "time sh -x ${doOne} -v -d ${basicArgs}  \
    282         ${gccgoArg} ${gcjArg} ${adaArg} ${mailArg} ${testArg} \
    283         ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1"
     292        ${gccgoArg} ${gcjArg} ${adaArg} ${objcArg} ${fortranArg} \
     293        ${mailArg} ${testArg} \ ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1"
    284294    time sh -x ${doOne} -v -d ${basicArgs}  \
    285         ${gccgoArg} ${gcjArg} ${adaArg} ${mailArg} ${testArg} \
    286         ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
     295        ${gccgoArg} ${gcjArg} ${adaArg} ${objcArg} ${fortranArg} \
     296        ${mailArg} ${testArg} \ ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
    287297    echo $?
    288298  done
Note: See TracChangeset for help on using the changeset viewer.